GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | Friends | List of all members
gridfire::NetOut Struct Reference

`#include <network.h>`

## Public Attributes
fourdst::composition::Composition | composition
| Composition of the network after evaluation.
int | num_steps
| Number of steps taken in the evaluation.
double | energy
| Energy in ergs after evaluation.

## Friends
std::ostream & | operator<< (std::ostream &os, const NetOut &netOut)

## Detailed Description

Definition at line 65 of file network.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const NetOut & | netOut )
| friend

Definition at line 70 of file network.h.

## Member Data Documentation

## ◆ composition

fourdst::composition::Composition gridfire::NetOut::composition

Composition of the network after evaluation.

Definition at line 66 of file network.h.

## ◆ energy

double gridfire::NetOut::energy

Energy in ergs after evaluation.

Definition at line 68 of file network.h.

## ◆ num_steps

int gridfire::NetOut::num_steps

Number of steps taken in the evaluation.

Definition at line 67 of file network.h.

The documentation for this struct was generated from the following file:

- src/include/gridfire/network.h